<template>
  <div :key="timer" class="sigPrizeNew" :style="styleData[keyData.signPrizeDiv]">
    <div v-if="activityType == '10075'">
      <!-- 活动规则 -->
      <div v-lz-click="'18'" @click="operClick(1)" v-if="datas.isSign && styleData.imageSignStyle">
        <img :style="styleDataNew.imageSignStyle" :src="styleDataNew.imageSignStyle.imageUrl" />
      </div>
    </div>
    <div v-if="activityType == '10021' || activityType == '10023' || activityType == '10030' || activityType == '10024' || activityType == '10069'">
      <!-- 活动规则 -->
      <div v-lz-click="'18'" @click="operClick(1)" v-if="datas.isSign && styleData.imageSignStyle">
        <img :style="styleDataNew.imageSignStyle" :src="styleDataNew.imageSignStyle.imageUrl" />
      </div>
      <!-- 我的奖品 -->
      <div @click="operClick(2)" v-lz-click="'19'" v-if="datas.isPrize && styleData.imagePrizeStyle">
        <img :style="styleDataNew.imagePrizeStyle" :src="styleDataNew.imagePrizeStyle.imageUrl" />
      </div>
    </div>
    <div v-else-if="activityType == '10077'" :style="styleDataNew.imageBox">
      <!-- 活动规则 -->
      <div v-lz-click="'18'" @click="operClick(1)" v-if="datas.isSign && styleData.imageSignStyle">
        <img :style="styleDataNew.imageSignStyle" :src="styleDataNew.imageSignStyle.imageUrl" />
      </div>
      <!-- 我的奖品 -->
      <div @click="operClick(2)" v-lz-click="'19'" v-if="datas.isPrize && styleData.imagePrizeStyle">
        <img :style="styleDataNew.imagePrizeStyle" :src="styleDataNew.imagePrizeStyle.imageUrl" />
      </div>
      <div @click="operClick(7)" v-if="datas.myOrder && styleData.imageMyOrderStyle">
        <img :style="styleDataNew.imageMyOrderStyle" :src="styleDataNew.imageMyOrderStyle.imageUrl" />
      </div>
    </div>
    <div v-else-if="activityType == '10088' && templateId == 'ae6a7a01-62ea-62de-bd4a-7ba9401d93b5'">
      <!-- 活动规则 -->
      <div v-lz-click="'18'" @click="operClick(1)" v-if="datas.isSign && styleData.imageSignStyle">
        <img :style="styleDataNew.imageSignStyle" :src="styleDataNew.imageSignStyle.imageUrl" />
      </div>
      <!-- 我的奖品 -->
      <div @click="operClick(2)" v-lz-click="'19'" v-if="datas.isPrize && styleData.imagePrizeStyle">
        <img :style="styleDataNew.imagePrizeStyle" :src="styleDataNew.imagePrizeStyle.imageUrl" />
      </div>
      <div @click="operClick(7)" v-if="datas.myOrder && styleData.imageMyOrderStyle">
        <img :style="styleDataNew.imageMyOrderStyle" :src="styleDataNew.imageMyOrderStyle.imageUrl" />
      </div>
      <div @click="operClick('30-activityGoods')" v-if="assignGoodsFlag && styleData.imageGoodsStyle">
        <img :style="styleDataNew.imageGoodsStyle" :src="styleDataNew.imageGoodsStyle.imageUrl" />
      </div>
    </div>
    <div v-else-if="activityType == '10015' && templateId == '7cf02b51-fe6f-4988-b35a-bd57108163ef'">
      <!-- 活动规则 -->
      <div v-lz-click="'18'" @click="operClick10015Fly(1)" v-if="datas.isSign && styleData.imageSignStyle">
        <img :style="styleDataNew.imageSignStyle" :src="styleDataNew.imageSignStyle.imageUrl" />
      </div>
      <!-- 我的奖品 -->
      <div @click="operClick10015Fly(2)" v-lz-click="'19'" v-if="datas.isPrize && styleData.imagePrizeStyle">
        <img :style="styleDataNew.imagePrizeStyle" :src="styleDataNew.imagePrizeStyle.imageUrl" />
      </div>
    </div>
    <div v-else-if="activityType == '10015' && templateId == '20ea03ff-ccbc-4428-9e78-d74064763e6e'">
      <!-- 活动规则 -->
      <div v-lz-click="'18'" @click="operClick10015FlyDBP(1)" v-if="datas.isSign && styleData.imageSignStyle">
        <img :style="styleDataNew.imageSignStyle" :src="styleDataNew.imageSignStyle.imageUrl" />
      </div>
      <!-- 我的奖品 -->
      <div @click="operClick10015FlyDBP(2)" v-lz-click="'19'" v-if="datas.isPrize && styleData.imagePrizeStyle">
        <img :style="styleDataNew.imagePrizeStyle" :src="styleDataNew.imagePrizeStyle.imageUrl" />
      </div>
    </div>
    <!-- <div v-else-if="activityType == '10998' && templateId == '20230921jgyl'">
      
      <div v-lz-click="'18'" @click="operClick10998Fly(1)" v-if="datas.isSign && styleData.imageSignStyle">
        <img :style="styleDataNew.imageSignStyle" :src="styleDataNew.imageSignStyle.imageUrl" />
      </div>
      
      <div @click="operClick10998Fly(2)" v-lz-click="'19'" v-if="datas.isPrize && styleData.imagePrizeStyle">
        <img :style="styleDataNew.imagePrizeStyle" :src="styleDataNew.imagePrizeStyle.imageUrl" />
      </div>
    </div> -->
    <div v-else-if="activityType == '10070' && templateId == 'f32f0a03-9f59-45d2-8550-0bb1166162f3'">
      <!-- 活动规则 -->
      <div v-lz-click="'18'" @click="operClick(1)" :style="styleData.imageSignStyle"
        v-if="datas.isSign && styleData.imageSignStyle">
        <img :style="styleDataNew.imageSignStyle" :src="styleDataNew.imageSignStyle.imageUrl" />
        <!-- 活动规则 -->
      </div>
      <!-- 我的奖品 -->
      <div @click="operClick(2)" v-lz-click="'19'" :style="styleData.imagePrizeStyle"
        v-if="datas.isPrize && styleData.imagePrizeStyle">
        <img :style="styleDataNew.imagePrizeStyle" :src="styleDataNew.imagePrizeStyle.imageUrl" />
        <!-- 我的奖品 -->
      </div>
       <!-- 非游戏邀请好友 -->
       <div @click="operClick(4)" :style="styleData.shareFriendStyle"
        v-if="datas.shareBtn && styleData.shareFriendStyle && !isGame">
        <img :style="styleDataNew.shareFriendStyle" :src="styleDataNew.shareFriendStyle.imageUrl" />
        <!-- 邀请好友 -->
      </div>
    </div>
    <div v-else-if="activityType == '10070' && templateId == '21416099-b235-4cb7-9286-cbe631f75728'">
      <!-- 活动规则 -->
      <div v-lz-click="'18'" @click="operClick10070DBP(1)" :style="styleData.imageSignStyle"
        v-if="datas.isSign && styleData.imageSignStyle">
        <img :style="styleDataNew.imageSignStyle" :src="styleDataNew.imageSignStyle.imageUrl" />
        <!-- 活动规则 -->
      </div>
      <!-- 我的奖品 -->
      <div @click="operClick10070DBP(2)" v-lz-click="'19'" :style="styleData.imagePrizeStyle"
        v-if="datas.isPrize && styleData.imagePrizeStyle">
        <img :style="styleDataNew.imagePrizeStyle" :src="styleDataNew.imagePrizeStyle.imageUrl" />
        <!-- 我的奖品 -->
      </div>
       <!-- 非游戏邀请好友 -->
       <div @click="operClick10070DBP(4)" :style="styleData.shareFriendStyle"
        v-if="datas.shareBtn && styleData.shareFriendStyle && !isGame">
        <img :style="styleDataNew.shareFriendStyle" :src="styleDataNew.shareFriendStyle.imageUrl" />
        <!-- 邀请好友 -->
      </div>
    </div>
    <div v-else-if="activityType == '10031' && templateId == '2023110602niudanji'">
      <!-- 我的奖品 -->
      <div  :style="styleData.imagePrizeStyle" v-if="datas.isPrize && styleData.imagePrizeStyle">
        <img :style="styleDataNew.imagePrizeStyle" :src="styleDataNew.imagePrizeStyle.imageUrl" />
        <!-- 我的奖品 -->
        <div :style="styleDataNew.imagePrizeStyleBox" @click="operClick(2)" v-lz-click="'19'"></div>
      
      </div>
    </div>
    <div v-else-if="activityType == '10046' && templateId == '2023122210046lhjcj01'">
      <!-- 非游戏邀请好友 -->
      <div @click="operClick(4)" :style="styleData.imageBtnStyle">
        <img :style="styleDataNew.shareFriendStyle" :src="styleDataNew.shareFriendStyle.imageUrl" />
      </div>
      <!-- 抽奖记录 -->
      <div @click="operClick(11)" :style="styleData.imageBtnStyle">
        <img :style="styleDataNew.lotteryRecords" :src="styleDataNew.lotteryRecords.imageUrl" />
      </div>
      <!-- 活动规则 -->
      <div v-lz-click="'18'" @click="operClick(1)" :style="styleData.imageBtnStyle">
        <img :style="styleDataNew.acRules" :src="styleDataNew.acRules.imageUrl" />
      </div>
      <!-- 我的奖品 -->
      <div @click="operClick(2)" v-lz-click="'19'" :style="styleData.imageBtnStyle">
        <img :style="styleDataNew.myPrize" :src="styleDataNew.myPrize.imageUrl" />
      </div>
    </div>
    <!-- 下面代码块为原始状态，取下面的进行放飞样式的修改 -->
    <div v-else>
      <!-- 活动规则 -->
      <div v-lz-click="'18'" @click="operClick(1)" :style="styleData.imageBtnStyle"
        v-if="datas.isSign && styleData.imageBtnStyle">
        <!-- <img :style="styleDataNew.imageSignStyle" :src="styleDataNew.imageSignStyle.imageUrl" /> -->
        活动规则
      </div>
      <!-- 我的奖品 -->
      <div @click="operClick(2)" v-lz-click="'19'" :style="styleData.imageBtnStyle"
        v-if="datas.isPrize && styleData.imageBtnStyle">
        <!-- <img :style="styleDataNew.imagePrizeStyle" :src="styleDataNew.imagePrizeStyle.imageUrl" /> -->
        我的奖品
      </div>
      <!-- 非游戏邀请好友 -->
      <div @click="operClick(4)" :style="styleData.imageBtnStyle"
        v-if="datas.shareBtn && styleData.imageBtnStyle && !isGame">
        <!-- <img :style="styleDataNew.shareFriendStyle" :src="styleDataNew.shareFriendStyle.imageUrl" /> -->
        邀请好友
      </div>
      <!-- 游戏邀请好友 -->
      <div @click="operClick(4)" :style="styleData.imageBtnStyle"
        v-if="datas.shareBtn && styleData.imageBtnStyle && isGame && isInvite">
        <!-- <img :style="styleDataNew.shareFriendStyle" :src="styleDataNew.shareFriendStyle.imageUrl" /> -->
        邀请好友
      </div>

      <!-- 我的好友 -->
      <div @click="operClick(5)" :style="styleData.imageBtnStyle" v-if="styleData.isFriend && styleData.imageBtnStyle">
        <!-- <img :style="styleDataNew.imageMyFriendsStyle" :src="styleDataNew.imageMyFriendsStyle.imageUrl" /> -->
        我的好友
      </div>

      <div @click="operClick(8)" v-lz-click="'4'" :style="styleData.imageBtnStyle"
        v-if="datas.isGoToShop && styleData.imageBtnStyle">
        <!-- <img :style="styleDataNew.imageMyFriendsStyle" :src="styleDataNew.imageMyFriendsStyle.imageUrl" /> -->
        进店逛逛
      </div>
      <div @click="operClick(6)" :style="styleData.imageBtnStyle" v-if="datas.recordBtn && styleData.imageBtnStyle">
        <!-- <img :style="styleDataNew.imageMyFriendsStyle" :src="styleDataNew.imageMyFriendsStyle.imageUrl" /> -->
        游戏记录
      </div>

      <div @click="operClick(90)" :style="styleData.imageBtnStyle"
        v-if="datas.getMyOrderRepurchase && styleData.imageBtnStyle">
        <!-- <img :style="styleDataNew.imageMyFriendsStyle" :src="styleDataNew.imageMyFriendsStyle.imageUrl" /> -->
        我的订单
      </div>

      <div @click="operClick(7)" :style="styleData.imageBtnStyle" v-if="datas.myOrder && styleData.imageBtnStyle">
        <!-- <img :style="styleDataNew.imageMyFriendsStyle" :src="styleDataNew.imageMyFriendsStyle.imageUrl" /> -->
        我的订单
      </div>

      <div @click="operClick(11)" :style="styleData.imageBtnStyle"
        v-if="datas.isShowDrawRecord && styleData.imageBtnStyle">
        <!-- <img :style="styleDataNew.imageMyFriendsStyle" :src="styleDataNew.imageMyFriendsStyle.imageUrl" /> -->
        抽奖记录
      </div>

      <div @click="operClick(85)" :style="styleData.imageBtnStyle" v-if="datas.isAuction && styleData.imageBtnStyle">
        <!-- <img :style="styleDataNew.imageMyFriendsStyle" :src="styleDataNew.imageMyFriendsStyle.imageUrl" /> -->
        竞拍记录
      </div>

      <!-- 我的好友 -->
      <div @click="operClick(4)" :style="styleData.imageBtnStyle"
        v-if="datas.shareFriendBtn && styleData.imageBtnStyle">
        <!-- <img :style="styleDataNew.shareFriendStyle" :src="styleDataNew.shareFriendStyle.imageUrl" /> -->
        我的好友
      </div>

      <div @click="operClick(9)" :style="styleData.imageBtnStyle" v-if="styleData.imageBtnStyle && isShowCheckOrder">
        订单查询
      </div>
      <!--lotteryBtn-->
      <div @click="goShop" v-lz-click="'4'" v-if="datas.shopBtn && styleDataNew.imageShopStyle">
        <img :style="styleDataNew.imageShopStyle" :src="styleDataNew.imageShopStyle.imageUrl" />
      </div>

      <div @click="operClick('96-ord')" :style="styleData.imageBtnStyle"
        v-if="datas.ordRecord && styleData.imageBtnStyle">
        订单记录
      </div>
      <div @click="operClick('96-award')" :style="styleData.imageBtnStyle"
        v-if="datas.awardRecord && styleData.imageBtnStyle">
        领奖记录
      </div>
      <div @click="operClick('96-activityGoods')" :style="styleData.imageBtnStyle"
        v-if="datas.activityGoods && styleData.imageBtnStyle">
        活动商品
      </div>
      <!-- care:下单类活动商品,不在json里面写是因为会影响已经有自定义的活动 -->
      <div @click="operClick('30-activityGoods')" :style="styleData.imageBtnStyle"
        v-if="activityType == '10030' && assignGoodsFlag && styleData.imageBtnStyle">
        活动商品
      </div>
    </div>
  </div>
</template>

<script>
import {
  ShareFriendPopComService,
  ShareFriendPopComService10070,
  LuckDrawRecordPopComService,
  GiftPopComService
} from "../../../util/comCreate.js";
import {
  AcRulePopComService,
  MyPrizePopComService,
  MyPrizePopComService705,
  HdzxtMyFriendPopComServiceNew2,
  MyOrderPrizePopComService,
  MyOrderPrizePopComService705,
  ClientLogComService,
  StepMyOrderPopService,
  hdzxtMyOrderAnotherPopService,
  OrderCheckPopNewService,
  drawRecordPopNewService,
  auctionHistoryService,
  ordAwardService,
  activityGoodsService,
  orderActivityGoodsService,
  AcRulePopComService10015Fly,
  AcRulePopComService10015FlyDBP,
  MyPrizePopComService10015Fly,
  MyPrizePopComService10015FlyDBP,
  AcRulePopComService10998Fly,
  MyPrizePopComService10998Fly
} from "../../../util/hdzxtcomCreate.js";
import { goToShopPage } from "../../../util/tools.js";
import store from "../../../store/store";
import { Toast } from "vant";
import apis1 from "../../../util/apis1.js";
let { storeGoodsPoint, checkOrderByActType } = apis1;
import bus from '../../../util/bus.js';
export default {
  props: [
    "datas",
    "styleData",
    "keyData",
    "isTemplate",
    "templateData",
    "modifyContent",
    "isWebClick"
  ],
  data() {
    return {
      timer: new Date().getTime(),
      isShowImg: true, // 活动规则是 按钮图片 false 不显示图片
      isShow: true,
      isShowImg2: false,
      isEditAddress: true, //是否可以编辑地址 默认可以编辑地址
      isAlLookAddress: false, //是否可以一直查看地址 默认不可以一直查看
      isShowLuckDrawRecord: false, // 积分猜大小 游戏记录
      styleDataNew: {},
      styleDataOld: {},
      myPrizePopComData: {
        styleData: {},
        datas: {},
        keyData: {
          prizeType: "prizeType",
          prizeUrl: "showImg",
          prizeName: "prizeName",
          prizeDate: "dayTime",
          prizeStatus: "activityType",
          realName: "realName",
          recevierPhone: "mobile",
          logisticsJson: "logisticsJson",
          nickName: "nickName"
        }
      },
      acRulePopComData: {
        styleData: {},
        datas: {},
        keyData: {}
      },
      goToShopList: [],
      shareFlag: false,
      shareUserId: "",
      goToshopImg: true,
      LogoUrl: null,
      shopFlag: false, // true 不需要从新请求API
      shopNameFlag: false,
      isShowCheckOrder: false, //是否显示同步订单
      activityType: '',
      assignGoodsFlag: false,
      isGame: false,
      isInvite: false,
      templateId: '',
      grantType:'',
      assignGoodsType:0
    };
  },

  created() {
    // console.log(this.styleData, 'llllllllllll');
    console.log(this.datas, "llllllllllllaaaaaaaaa");
    this.templateId = sessionStorage.getItem("templateId");
    //深拷贝重置需要
    this.styleDataOld = JSON.parse(JSON.stringify(this.styleData));
    //如果父组件传递过来的样式数据则使用样式数据否则使用默认数据
    this.styleDataNew = this.styleData; //父组件传递过来的样式数据
    this.isShow = this.datas.isShowPrize;
    this.isShowImg = this.datas.isShowImg == false ? false : true;
    this.isShowImg2 = this.datas.isShowImg2 == false ? false : true;
    this.isEditAddress = this.datas.isEditAddress == false ? false : true;
    this.isAlLookAddress = this.datas.isAlLookAddress == true ? true : false;
    this.isShowLuckDrawRecord =
      this.datas.isShowLuckDrawRecord == true ? true : false;
    this.publicData.$on("showMyPrize", datas => {
      if (datas == true) {
        //显示我的奖品组件
        this.isShow = true;
        if (this.isTemplate == true) {
          this.initData(this.templateData);
        } else {
          this.initData();
        }
      } else {
        this.isShow = false;
      }
    });
    this.publicData.$on('grantType', datas=>{
      this.grantType = datas
    });

    // this.initData();
    console.log(this.datas, "zxcxczxcb");
    if (!this.isTemplate) {
      this.checkOrderByActType();
    }
    this.activityType = sessionStorage.getItem("activityType");
    this.isGame = this.isGameActivity(this.activityType)
  },
  mounted() {
    bus.$on('assignGoodsFlag', (data) => {
      if (data == '1' || data == '2') {
        this.assignGoodsFlag = true
        this.assignGoodsType = data
      } else {
        this.assignGoodsFlag = false
      }
    })
    this.publicData.$on('isInvite', (value) => {
      this.isInvite = value
    });
  },
  methods: {
    //是否是游戏活动type
    isGameActivity(activityType) {
      if (activityType != "10082" && activityType != "10059" && activityType != "10092" && activityType != "10084" &&
        activityType != "10086" && activityType != "10089" && activityType != "10091" && activityType != '10093' &&
        activityType != "10094" && activityType != "10095") {
        return false;
      } else {
        return true;
      }
    },
    //判断是否显示同步订单
    checkOrderByActType() {
      // checkOrderByActType(sessionStorage.getItem('activityType'),(initdatas)=>{
      //   console.log(initdatas,'initdatasinitdatas');
      //   if(initdatas.data === true){
      //    this.isShowCheckOrder = true;
      //    this.timer = new Date().getTime();
      //   }
      // })
    },
    //点击可修改位置的方法

    initData() {
      var datas = this.templateData;
      if (this.isTemplate == true) {
        this.templateData = datas;
      }
      this.isShow = this.datas.isShowPrize;
      this.timer = new Date().getTime();
      // this.publicData.$emit("isNotyFiceWinnerReorrd",true,this.isTemplate)
    },

    goShop() {
      if (this.isTemplate == true) {
        // this.$toast('活动预览，仅供查看');
        return;
      }
      let shopId = store.state.shopId;
      storeGoodsPoint(4);
      goToShopPage(shopId);
    },

    //type 1 签到规则 2 我的奖品 3、积分抽奖记录 6、游戏记录 9订单同步11抽奖记录
    operClick(type) {
      console.log(this.isWebClick, type);
      if (this.isWebClick) {
        return;
      }
      if (this.isTemplate) {
        // this.$toast('活动预览，仅供查看');
        return;
      }
      switch (type) {
        case 1:
          this.doFrontBuryPoint({code: 'banner-hdge',value: '',event: 'pop'})
          // this.$emit('operClick', 1);
          console.log("签到规则1", this.acRulePopComData);
          console.log("签到规则2", this.templateData);
          AcRulePopComService.create(
            this.acRulePopComData,
            this.isTemplate,
            this.templateData,
            this.styleData,
            prizeRecordDetilClick => {
              AcRulePopComService.close();
            }
          );
          break;
        case 2:
          let actStatus = sessionStorage.getItem("actStatus");
          let activityType = sessionStorage.getItem("activityType");

          if (actStatus == 1) {
            // Toast('活动尚未开始');
            Toast({
              message: "活动尚未开始",
              onClose: () => {
                Toast.clear();
              }
            });
            return;
          }
          // this.$emit('operClick', 2);
          this.doFrontBuryPoint({code: 'banner-wdjp',value: '',event: 'pop'})
          this.myPrizePopComData.datas.isEditAddress = this.isEditAddress;
          this.myPrizePopComData.datas.isAlLookAddress = this.isAlLookAddress;
          console.log("我的奖品", this.myPrizePopComData);
          if (activityType == 10030) {
            MyOrderPrizePopComService.create(
              this.myPrizePopComData,
              this.isTemplate,
              this.styleData,
              prizeRecordDetilClick => {
                MyOrderPrizePopComService.close();
              }
            );
          } else {
            MyPrizePopComService.create(
              this.myPrizePopComData,
              this.isTemplate,
              this.styleData,
              prizeRecordDetilClick => {
                MyPrizePopComService.close();
              }
            );
          }
          break;
        case 3:
          let actStatus1 = sessionStorage.getItem("actStatus");
          if (actStatus1 == 1) {
            this.$toast("活动尚未开始");
            return;
          }
          LuckDrawRecordPopComService.create(
            this.myPrizePopComData,
            this.isTemplate,
            prizeRecordDetilClick => {
              LuckDrawRecordPopComService.close();
            }
          );
          break;
        case 4:
          // ShareFriendPopComService
          ShareFriendPopComService.create(prizeRecordDetilClick => {
            ShareFriendPopComService.close();
          });
          break;
        case 5:
          let actStatus2 = sessionStorage.getItem("actStatus");
          if (actStatus2 == 1) {
            this.$toast("活动尚未开始");
            return;
          }
          HdzxtMyFriendPopComServiceNew2.create(
            this.styleData,
            this.datas,
            submit => {
              HdzxtMyFriendPopComServiceNew2.close();
            }
          );
          break;
        case 6:
          let actStatus3 = sessionStorage.getItem("actStatus");
          if (actStatus3 == 1) {
            this.$toast("活动尚未开始");
            return;
          }
          ClientLogComService.create(this.styleData, this.datas, submit => {
            ClientLogComService.close();
          });
          break;
        case 7:
          let actStatus4 = sessionStorage.getItem("actStatus");
          if (actStatus4 == 1) {
            this.$toast("活动尚未开始");
            return;
          }
          this.stopScroll();
          this.doFrontBuryPoint({code: 'tc-ddcx',value: '',event: 'pop'})
          StepMyOrderPopService.create(
            this.isTemplate,
            this.styleData,
            submit => {
              this.canScroll();
              StepMyOrderPopService.close();
            }
          );
          break;
        case 8:
          let actStatus8 = sessionStorage.getItem("actStatus");
          if (actStatus8 == 1) {
            this.$toast("活动尚未开始");
            return;
          }
          this.goShop();
          break;
        case 9:
          OrderCheckPopNewService.create(callBack => {
            OrderCheckPopNewService.close();
          });
          this.doFrontBuryPoint({code: 'banner-ddcx',value: '',event: 'pop'})
          break;
        case 10:
          let actStatus10 = sessionStorage.getItem("actStatus");
          if (actStatus10 == 1) {
            this.$toast("活动尚未开始");
            return;
          }
          ClientLogComService.create(this.styleData, this.datas, submit => {
            ClientLogComService.close();
          });
          break;
        case 11:
          drawRecordPopNewService.create(
            this.isTemplate,
            this.styleData,
            submit => {
              drawRecordPopNewService.close();
            }
          );
          break;
        case 85:
          auctionHistoryService.create(
            this.isTemplate,
            this.styleData,
            submit => {
              auctionHistoryService.close();
            }
          );
          break;
        case 90:
          console.log("wode dingdn ");
          let actStatus90 = sessionStorage.getItem("actStatus");
          if (actStatus90 == 1) {
            this.$toast("活动尚未开始");
            return;
          }
          this.stopScroll();
          hdzxtMyOrderAnotherPopService.create(
            this.isTemplate,
            this.styleData,
            submit => {
              this.canScroll();
              hdzxtMyOrderAnotherPopService.close();
            }
          );
          break;
        case "96-ord":
          if (sessionStorage.getItem("actStatus") == 1) {
            this.$toast("活动尚未开始");
            return;
          }
          this.stopScroll();
          StepMyOrderPopService.create(this.isTemplate, this.styleData, () => {
            this.canScroll();
            StepMyOrderPopService.close();
          });
          break;
        case "96-award":
          if (sessionStorage.getItem("actStatus") == 1) {
            this.$toast("活动尚未开始");
            return;
          }
          this.stopScroll();
          ordAwardService.create(() => {
            this.canScroll();
            ordAwardService.close();
          }, this.styleData);
          break;
        case "96-activityGoods":
          if (sessionStorage.getItem("actStatus") == 1) {
            this.$toast("活动尚未开始");
            return;
          }
          const stepOrdPrize = this.$parent.$parent.$children[2];
          if (stepOrdPrize.assignGoodsFlag === 0) {
            this.goShop();
          } else {
            this.stopScroll();
            activityGoodsService.create(() => {
              this.canScroll();
              activityGoodsService.close();
            }, this.styleData);
          }

          break;
        case "30-activityGoods":
          if (sessionStorage.getItem("actStatus") == 1) {
            this.$toast("活动尚未开始");
            return;
          }
          orderActivityGoodsService.create(this.assignGoodsType, this.styleData, submit => {
            orderActivityGoodsService.close();
          });
          break;
      }
    },
    operClick10070DBP(type){
      if (this.isWebClick) {
        return;
      }
      if (this.isTemplate) {
        return;
      }
      switch (type) {
        case 1:
          this.doFrontBuryPoint({code: 'banner-hdge',value: '',event: 'pop'})
          // this.$emit('operClick', 1);
          console.log("签到规则1", this.acRulePopComData);
          console.log("签到规则2", this.templateData);
          AcRulePopComService.create(
            this.acRulePopComData,
            this.isTemplate,
            this.templateData,
            this.styleData,
            prizeRecordDetilClick => {
              AcRulePopComService.close();
            }
          );
          break;
        case 2:
          let actStatus = sessionStorage.getItem("actStatus");
          let activityType = sessionStorage.getItem("activityType");

          if (actStatus == 1) {
            // Toast('活动尚未开始');
            Toast({
              message: "活动尚未开始",
              onClose: () => {
                Toast.clear();
              }
            });
            return;
          }
          // this.$emit('operClick', 2);
          this.doFrontBuryPoint({code: 'banner-wdjp',value: '',event: 'pop'})
          this.myPrizePopComData.datas.isEditAddress = this.isEditAddress;
          this.myPrizePopComData.datas.isAlLookAddress = this.isAlLookAddress;
          console.log("我的奖品", this.myPrizePopComData);
          if (activityType == 10030) {
            MyOrderPrizePopComService705.create(
              this.myPrizePopComData,
              this.isTemplate,
              this.styleData,
              prizeRecordDetilClick => {
                MyOrderPrizePopComService705.close();
              }
            );
          } else {
            MyPrizePopComService705.create(
              this.myPrizePopComData,
              this.isTemplate,
              this.styleData,
              prizeRecordDetilClick => {
                MyPrizePopComService705.close();
              }
            );
          }
          break;
        case 4:
          ShareFriendPopComService10070.create(prizeRecordDetilClick => {
            ShareFriendPopComService10070.close();
          });
          break;
      }
    },
    operClick10015Fly(type) {
      if (this.isWebClick) {
        return;
      }
      if (this.isTemplate) {
        return;
      }
      switch (type) {
        case 1:
        AcRulePopComService10015Fly.create(
            this.acRulePopComData,
            this.isTemplate,
            this.templateData,
            this.styleData,
            prizeRecordDetilClick => {
              AcRulePopComService10015Fly.close();
            }
          );
          break;
        case 2:
          let actStatus = sessionStorage.getItem("actStatus");
          if (actStatus == 1) {
            Toast({
              message: "活动尚未开始",
              onClose: () => {
                Toast.clear();
              }
            });
            return;
          }
          this.myPrizePopComData.datas.isEditAddress = this.isEditAddress;
          this.myPrizePopComData.datas.isAlLookAddress = this.isAlLookAddress;
          console.log("我的奖品", this.myPrizePopComData);
          MyPrizePopComService10015Fly.create(
            this.myPrizePopComData,
            this.isTemplate,
            this.styleData,
            prizeRecordDetilClick => {
              MyPrizePopComService10015Fly.close();
            }
          );
          break;
      }
    },
    operClick10015FlyDBP(type) {
      if (this.isWebClick) {
        return;
      }
      if (this.isTemplate) {
        return;
      }
      switch (type) {
        case 1:
        AcRulePopComService10015FlyDBP.create(
            this.acRulePopComData,
            this.isTemplate,
            this.templateData,
            this.styleData,
            prizeRecordDetilClick => {
              AcRulePopComService10015FlyDBP.close();
            }
          );
          break;
        case 2:
          let actStatus = sessionStorage.getItem("actStatus");
          if (actStatus == 1) {
            Toast({
              message: "活动尚未开始",
              onClose: () => {
                Toast.clear();
              }
            });
            return;
          }
          this.myPrizePopComData.datas.isEditAddress = this.isEditAddress;
          this.myPrizePopComData.datas.isAlLookAddress = this.isAlLookAddress;
          console.log("我的奖品", this.myPrizePopComData);
          MyPrizePopComService10015FlyDBP.create(
            this.myPrizePopComData,
            this.isTemplate,
            this.styleData,
            prizeRecordDetilClick => {
              MyPrizePopComService10015FlyDBP.close();
            }
          );
          break;
      }
    },
    // operClick10998Fly(type) {
    //   if (this.isWebClick) {
    //     return;
    //   }
    //   if (this.isTemplate) {
    //     return;
    //   }
    //   switch (type) {
    //     case 1:
    //     AcRulePopComService10998Fly.create(
    //         this.acRulePopComData,
    //         this.isTemplate,
    //         this.templateData,
    //         this.styleData,
    //         prizeRecordDetilClick => {
    //           AcRulePopComService10998Fly.close();
    //         }
    //       );
    //       break;
    //     case 2:
    //       let actStatus = sessionStorage.getItem("actStatus");
    //       if (actStatus == 1) {
    //         Toast({
    //           message: "活动尚未开始",
    //           onClose: () => {
    //             Toast.clear();
    //           }
    //         });
    //         return;
    //       }
    //       this.myPrizePopComData.datas.isEditAddress = this.isEditAddress;
    //       this.myPrizePopComData.datas.isAlLookAddress = this.isAlLookAddress;
    //       console.log("我的奖品", this.myPrizePopComData);
    //       MyPrizePopComService10998Fly.create(
    //         this.myPrizePopComData,
    //         this.isTemplate,
    //         this.styleData,
    //         { 
    //           grantType:this.grantType
    //         },
    //         prizeRecordDetilClick => {
    //           MyPrizePopComService10998Fly.close();
    //         }
    //       );
    //       break;
    //   }
    // }
  }
};
</script>

<style lang="scss"></style>
